ServerEvents.recipes(event => {
	let inter = "v_borne:incomplete_unset_fortified_planks"; // making a variable to store the transitional item makes the code more readable
    event.recipes.create
        .sequenced_assembly(
            [
                Item.of("v_borne:unset_fortified_planks").withChance(90.0), // this is the item that will appear in JEI as the result
                Item.of("tfmg:hardened_planks").withChance(10.0),
            ],
            "tfmg:hardened_planks",
            [
                // the transitional item is a variable, that is 'kubejs:incomplete_bauxite' and is used during the intermediate stages of the assembly
                event.recipes.createFilling(inter, [inter, Fluid.of('v_borne:resin', 500)]),
				event.recipes.createDeploying(inter, [inter, 'jaopca:rods.tungsten']),
				event.recipes.createDeploying(inter, [inter, 'v_borne:aerogel']),
                event.recipes.createPressing(inter, inter),
            ]
        )
        .transitionalItem(inter)
        .loops(4); // set the transitional item and the number of loops
	event.recipes.create.haunting(
	'v_borne:fortified_planks',
	'v_borne:unset_fortified_planks')
})